/*
 * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 */
package com.sun.glass.ui.x11;

import com.sun.glass.ui.Application;
import com.sun.glass.ui.Menu;
import com.sun.glass.ui.MenuBar;
import com.sun.glass.ui.MenuItem;
import com.sun.glass.ui.PlatformFactory;
import com.sun.glass.ui.delegate.ClipboardDelegate;
import com.sun.glass.ui.delegate.MenuBarDelegate;
import com.sun.glass.ui.delegate.MenuDelegate;
import com.sun.glass.ui.delegate.MenuItemDelegate;

import java.util.Map;


public class X11PlatformFactory extends PlatformFactory {

    static {
        X11Application.initLibrary();
    }

    @Override public Application createApplication(){
        return new X11Application();
    }

    @Override public MenuBarDelegate createMenuBarDelegate(MenuBar menubar) {
        return new X11MenuBarDelegate();
    }

    @Override public MenuDelegate createMenuDelegate(Menu menu) {
        return new X11MenuDelegate();
    }

    @Override public MenuItemDelegate createMenuItemDelegate(MenuItem item) {
        return new X11MenuDelegate();
    }

    public ClipboardDelegate createClipboardDelegate() {
        return new X11ClipboardDelegate();
    }
}
